GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
gdcm::network::PresentationDataValue Class Reference

PresentationDataValue Table 9-23 PRESENTATION-DATA-VALUE ITEM FIELDS. More...

`#include <gdcmPresentationDataValue.h>`

List of all members.

## Public Member Functions

| PresentationDataValue ()
const std::string & | GetBlob () const
bool | GetIsCommand () const
bool | GetIsLastFragment () const
uint8_t | GetMessageHeader () const
uint8_t | GetPresentationContextID () const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
std::istream & | ReadInto (std::istream &is, std::ostream &os)
void | SetBlob (const std::string &partialblob)
void | SetCommand (bool inCommand)
void | SetDataSet (const DataSet &ds)
void | SetLastFragment (bool inLast)
void | SetMessageHeader (uint8_t messageheader)
void | SetPresentationContextID (uint8_t id)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Static Public Member Functions

static DataSet | ConcatenatePDVBlobs (const std::vector< PresentationDataValue > &inPDVs)

## Detailed Description

PresentationDataValue Table 9-23 PRESENTATION-DATA-VALUE ITEM FIELDS.

## Constructor & Destructor Documentation

gdcm::network::PresentationDataValue::PresentationDataValue | ( |  | ) |

## Member Function Documentation

static DataSet gdcm::network::PresentationDataValue::ConcatenatePDVBlobs | ( | const std::vector< PresentationDataValue > & | inPDVs | ) | `[static]`

Warning:
  DataSet will be read as Implicit Little Endian TS

const std::string& gdcm::network::PresentationDataValue::GetBlob | ( |  | ) | const

bool gdcm::network::PresentationDataValue::GetIsCommand | ( |  | ) | const

bool gdcm::network::PresentationDataValue::GetIsLastFragment | ( |  | ) | const

uint8_t gdcm::network::PresentationDataValue::GetMessageHeader | ( |  | ) | const`[inline]`

uint8_t gdcm::network::PresentationDataValue::GetPresentationContextID | ( |  | ) | const`[inline]`

void gdcm::network::PresentationDataValue::Print | ( | std::ostream & | os | ) | const

std::istream& gdcm::network::PresentationDataValue::Read | ( | std::istream & | is | ) |

std::istream& gdcm::network::PresentationDataValue::ReadInto | ( | std::istream & | is,
|  | std::ostream & | os
| ) |  |

void gdcm::network::PresentationDataValue::SetBlob | ( | const std::string & | partialblob | ) |

void gdcm::network::PresentationDataValue::SetCommand | ( | bool | inCommand | ) |

void gdcm::network::PresentationDataValue::SetDataSet | ( | const DataSet & | ds | ) |

Set DataSet. Write DataSet in implicit.

Warning:
  size of dataset should be below maxpdusize

void gdcm::network::PresentationDataValue::SetLastFragment | ( | bool | inLast | ) |

void gdcm::network::PresentationDataValue::SetMessageHeader | ( | uint8_t | messageheader | ) | `[inline]`

void gdcm::network::PresentationDataValue::SetPresentationContextID | ( | uint8_t | id | ) | `[inline]`

size_t gdcm::network::PresentationDataValue::Size | ( |  | ) | const

const std::ostream& gdcm::network::PresentationDataValue::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmPresentationDataValue.h